package com.qianhe.service;

import java.util.List;
import com.qianhe.domain.WdWdxx;

/**
 * 文档-文档信息Service接口
 * 
 * @author qianhe
 * @date 2024-02-28
 */
public interface IWdWdxxService 
{
    /**
     * 查询文档-文档信息
     * 
     * @param id 文档-文档信息主键
     * @return 文档-文档信息
     */
    public WdWdxx selectWdWdxxById(Long id);

    /**
     * 查询文档-文档信息列表
     * 
     * @param wdWdxx 文档-文档信息
     * @return 文档-文档信息集合
     */
    public List<WdWdxx> selectWdWdxxList(WdWdxx wdWdxx);

    /**
     * 新增文档-文档信息
     * 
     * @param wdWdxx 文档-文档信息
     * @return 结果
     */
    public int insertWdWdxx(WdWdxx wdWdxx);

    /**
     * 修改文档-文档信息
     * 
     * @param wdWdxx 文档-文档信息
     * @return 结果
     */
    public int updateWdWdxx(WdWdxx wdWdxx);

    /**
     * 批量删除文档-文档信息
     * 
     * @param ids 需要删除的文档-文档信息主键集合
     * @return 结果
     */
    public int deleteWdWdxxByIds(Long[] ids);

    /**
     * 删除文档-文档信息信息
     * 
     * @param id 文档-文档信息主键
     * @return 结果
     */
    public int deleteWdWdxxById(Long id);
}
